# Class JContentReportApi

#### Hierarchy (View Summary)

- JBaseApi
  - JContentReportApi

- Defined in jamespot-user-api/src/apis/contentReport/contentReport.ts:12

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

createReport
getReports
updateStatus

## Constructors

### constructor

- new JContentReportApi(jApi: JamespotUserApi): JContentReportApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JContentReportApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### createReport

- createReport(
  params: { description: string; uri: string },
  options?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<string, BaseMessages>>

  #### Parameters

  - params: { description: string; uri: string }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<string, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/contentReport/contentReport.ts:27

### getReports

- getReports(
  params?: {
  filters?: Filter[];
  limit?: number;
  orders?: Order[];
  page?: number;
  },
  options?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<PagingResults<ContentReportList>, BaseMessages>>

  #### Parameters

  - params: { filters?: Filter[]; limit?: number; orders?: Order[]; page?: number } = {}
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<PagingResults<ContentReportList>, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/contentReport/contentReport.ts:13

### updateStatus

- updateStatus(
  params: { status: ContentReportStatus; uri: string },
  options?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<ContentReportStatus, BaseMessages>>

  #### Parameters

  - params: { status: ContentReportStatus; uri: string }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<ContentReportStatus, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/contentReport/contentReport.ts:41